<!DOCTYPE html>
<html>
<head>
	<title>Store</title>
	<meta id="meta" name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;">

	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


	<style type="text/css">
		body{
			background-color: #f0f0f0;
			
		}

	</style>
</head>
<body>
	<div class="container">
		<div class="row">
			<div class="col-lg">
				<br>
				<img src="{{product.image_url.url}}">
			</div>

			<div class="col-lg">
				<br>
				<div class="card card-body">
					<h3>{{product.name}}</h3>
					<hr>
					<h4>Total: ${{product.price}}</h4>
					<hr>

					<div id="paypal-button-container"></div>

				</div>
			</div>
		</div>
	</div>

	 <script src="https://www.paypal.com/sdk/js?client-id=AXM0dqxJ0UATMMJ5JNu2qTsyb95eZeufqftrUoFoVkeIqlGI06HH1ZVWlA_YY1dtMVFx_CvNrEMTz0Pm&currency=USD"></script>

	 <script>

	 	function getCookie(name) {
		    var cookieValue = null;
		    if (document.cookie && document.cookie !== '') {
		        var cookies = document.cookie.split(';');
		        for (var i = 0; i < cookies.length; i++) {
		            var cookie = cookies[i].trim();
		            // Does this cookie string begin with the name we want?
		            if (cookie.substring(0, name.length + 1) === (name + '=')) {
		                cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
		                break;
		            }
		        }
		    }
		    return cookieValue;
		}
		var csrftoken = getCookie('csrftoken');

	 	var total = '{{product.price}}'
	 	var productId = '{{product.id}}'

	 	function completeOrder(){
	 		var url = "{% url 'payment_complete' %}"

	 		fetch(url, {
	 			method:'POST',
	 			headers:{
	 				'Content-type':'application/json',
	 				'X-CSRFToken':csrftoken,
	 			},
	 			body:JSON.stringify({'productId':productId})
	 		})
	 	}


        // Render the PayPal button into #paypal-button-container
        paypal.Buttons({

            // Set up the transaction
            createOrder: function(data, actions) {
                return actions.order.create({
                    purchase_units: [{ 
                        amount: {
                            value: total
                        }
                    }]
                });
            },

            // Finalize the transaction
            onApprove: function(data, actions) {
                return actions.order.capture().then(function(details) {
                    // Show a success message to the buyer
                    completeOrder()
                    alert('Transaction completed by ' + details.payer.name.given_name + '!');
                });
            }


        }).render('#paypal-button-container');
    </script>

</body>
</html>